<?php
global $wpdb;

$displayTitle = (!empty($title)) ? $title : 'Events';
$displayTitle = $before_title . $displayTitle . $after_title;

// Taxonomy Query
$taxQuery = array();

if ($course != 'all') {
	$taxQuery[] = array(
		'taxonomy' => 'course',
		'field' => 'slug',
		'terms' => $course
	);
}

if ($type != 'any') {
	$taxQuery[] = array(
		'taxonomy' => 'event-type',
		'field' => 'slug',
		'terms' => $type
	);
}

$events = new WP_Query(array(
	'post_type' => 'event',
	'tax_query' => $taxQuery,
	'order' => 'ASC',
	'orderby' => 'meta_value',
	'meta_key'=> 'wpt_event_date',
	'posts_per_page' => $numPosts
));
?>

<?=$before_widget?>
	<?=$displayTitle?>
	<?php if ($events->have_posts()) : ?>
	<ul>
		<?php $showCount = 0;?>
		<?php while ($events->have_posts()) : $events->the_post(); ?>
		<?php 
			$meta = get_post_meta(get_the_ID(), 'wpt_event_date', true);
			
			$term = wp_get_post_terms(get_the_ID(), 'course');
			$term = $term[0];
			
			$eventTerm = wp_get_post_terms(get_the_ID(), 'event-type');
			$eventTerm = $eventTerm[0];
			
			$color = (is_array($courseColors)) ? $courseColors[$term->slug] : $courseColors;
		?>
		<?php if (is_date_allowed ($meta)) : ?>
		<li>
			<span class="due-date block"><?=(is_today($meta)) ? '<strong>Today</strong>' : ' On <strong>' . str_replace('/', '.', $meta) . '</strong>'?> &raquo;</span>
			<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a>
		</li>
		<?php $showCount++;?>
		<?php endif; ?>
		<?php endwhile; ?>
		<?php wp_reset_postdata(); ?>
		
		<?php if ($showCount == 0) : ?>
		<li
			<p><em>There are no events this month.</em></p>
		</li>
		<?php endif; ?>
		
	</ul>
	<?php else : ?>
	<div class="container">
		<div class="wrapper">
			<p><em>There are no events.</em></p>
		</div>
	</div>
	<?php endif; ?>
<?=$after_widget?>